Mark a chat as read
curl --request PUT \
--url https://api.izap.ai/api/v1/chats/{chat_id}/read \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.izap.ai/api/v1/chats/{chat_id}/read"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.izap.ai/api/v1/chats/{chat_id}/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_read_at": "2023-11-07T05:31:56Z",
"snoozed_until": "2023-11-07T05:31:56Z"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}{
"detail": "<string>",
"code": "<string>"
}chats
Mark a chat as read
Marks the conversation read for the whole team as of now. Read state is shared between agents rather than tracked per agent, and the timestamp is stamped server-side.
PUT
/
api
/
v1
/
chats
/
{chat_id}
/
read
Mark a chat as read
Autorizações
Personal access token (izap_pat_…) sent as Authorization: Bearer ; dashboard session JWTs are also accepted.